#!/usr/bin/python
# Taken from http://snippets.dzone.com/posts/show/644
import os, stat, types, fnmatch

def walktree (top = ".", depthfirst = True):
	names = os.listdir(top)
	if not depthfirst:
		yield top, names
	for name in names:
		try:
			st = os.lstat(os.path.join(top, name))
		except os.error:
			continue
		if stat.S_ISDIR(st.st_mode):
			for (newtop, children) in walktree (os.path.join(top, name), depthfirst):
				yield newtop, children
	if depthfirst:
		yield top, names


def make_directory_list (directory):
	mylist=[]
	for (top, names) in walktree(directory):
		#print "searching folder %s" % (top,)
		for name in names:
			#if fnmatch( name, "*.jpg" ) | fnmatch( name, "*.gif" ) | fnmatch( name, "*.jpeg" ) | fnmatch( name, "*.png" )
			if fnmatch.fnmatch( name.lower(), "*.jpg" ) | fnmatch.fnmatch( name.lower(), "*.png" ) | fnmatch.fnmatch( name.lower(), "*.gif" ) | fnmatch.fnmatch( name.lower(), "*.jpeg" ):
				mylist.append(os.path.join(top, name))
	return mylist


if __name__ == "__main__":
	if len(sys.argv) < 2:
		print 'Usage: %s files...\n' % sys.argv[0]
		sys.exit(0)
        
	for filename in sys.argv[1:]:
		print  make_directory_list(filename)

